#ifndef VELODYNE_3D_IMAGE_H
#define VELODYNE_3D_IMAGE_H

/* System headers */
#include <stdbool.h>

/* Internal headers */
#include "server/velodyneHeader.h"

/******************************************************************************/
/* Velodyne scan parameters structure */

typedef struct velodyne3DImageParams {
  velodyneModel model;
  int           numLinesPerPacket;
  int           numColumnsPerPacket;
  bool          organizationEnabled;
  int           lineOrder[VELODYNE_3D_IMAGE_HEIGHT];
  int           columnOffsets[VELODYNE_3D_IMAGE_HEIGHT];
} velodyne3DImageParams;

#endif
